Categories:
  - Multimedia
License: GPL-3.0-or-later
SourceCode: https://github.com/phw/PicardBarcodeScanner
IssueTracker: https://github.com/phw/PicardBarcodeScanner/issues
Translation: https://translate.uploadedlobster.com/engage/picard-barcode-scanner/
Changelog: https://github.com/phw/PicardBarcodeScanner/releases
Donate: https://github.com/sponsors/phw
Liberapay: phw

AutoName: Picard Barcode Scanner

RepoType: git
Repo: https://github.com/phw/PicardBarcodeScanner

Builds:
  - versionName: '1.1'
    versionCode: 2
    commit: '1.1'
    srclibs:
      - MusicBrainz-API@1.2.5
      - ActionBar@093a5f80
    prebuild:
      - rm -rf $$MusicBrainz-API$$/src/test
      - sed -i 's@\(reference.1=\).*@\1$$ActionBar$$@;/musicbrainz/d' project.properties
      - echo 'source.dir=src;$$MusicBrainz-API$$/src' > ant.properties

  - versionName: 1.4.1
    versionCode: 8
    commit: 1.4.1
    subdir: app
    gradle:
      - yes

  - versionName: '1.5'
    versionCode: 11
    commit: '1.5'
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.1
    versionCode: 13
    commit: 1.5.1
    subdir: app
    gradle:
      - yes

  - versionName: 1.5.2
    versionCode: 14
    commit: 0cf202271aeaad9d3b34b875a4985234b80accb7
    subdir: app
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - yes

AutoUpdateMode: Version
UpdateCheckMode: Tags
CurrentVersion: 1.5.2
CurrentVersionCode: 14
